<script setup lang="ts">
import EntityCard from "@/components/organisms/card/vertical-card/entity-card/EntityCard.vue";
import CardDropdownLinkItem from "@/components/molecules/card/CardDropdownLinkItem.vue";
import Instance from "@/entities/Instance/Instance.js";
import {computed} from "vue";

const props = defineProps<{ instance: Instance }>();

const items = computed(() => {
  const uid = props.instance.uid;

  return [
    {link: '/instance/' + uid, label: 'Afficher'},
    {link: '/instance/' + uid + '/edit', label: 'Modifier'},
    {link: '/instance/' + uid + '/update', label: 'Mettre à jour'},
    {link: '/instance/' + uid + '/delete', label: 'Supprimer'},
  ]
})

</script>

<template>
  <EntityCard :title="instance.name" :link="'/instance/' +  instance.uid " :img="instance.img">
    <template v-slot:menu>
      <CardDropdownLinkItem :link="item.link" :key="'instance_menu_' + item.link" v-for="(item) of items">
        {{ item.label }}
      </CardDropdownLinkItem>
    </template>
  </EntityCard>
</template>
